/* -*- C++ -*-
 * Speaker.h - header file for class Speaker
 * Copyright (c) 1999 Joe Yandle <yandle@cs.unc.edu>
 *
 * Class Speaker provides a way to both play and record wav files, 
 * while letting the View update itself when necessary.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef SPEAKER_H
#define SPEAKER_H

class GtkView;

#include "String.h"

class Speaker
{
 public:
  Speaker(GtkView* v);

  void playWav(const String& wavFile);
  void recWav(const String& wavFile);
 private:
  GtkView* view;
};

#endif
